aboutsummaryrefslogtreecommitdiffstats
path: root/activerecord/test/all.sh
diff options
context:
space:
mode:
Diffstat (limited to 'activerecord/test/all.sh')
-rwxr-xr-xactiverecord/test/all.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/activerecord/test/all.sh b/activerecord/test/all.sh
new file mode 100755
index 0000000000..a6712cc48e
--- /dev/null
+++ b/activerecord/test/all.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+if [ -z "$1" ]; then
+ echo "Usage: $0 connections/<db_library>" 1>&2
+ exit 1
+fi
+
+ruby -I $1 -e 'Dir.foreach(".") { |file| require file if file =~ /_test.rb$/ }'